# Licensing

> Register, renew and unregister DS Server online with a serial number or locally with a license string, validate serial numbers and create license requests.

- **Product:** DS Server
- **Section:** Documentation
- **Kind:** Endpoint
- **Path:** DS Server > API Reference > Web API > Licensing
- **495 words**
- **Web URL:** https://docs.textcontrol.com/ds-server/reference/web-api/licensing/
- **LLMs URL:** https://docs.textcontrol.com/ds-server/reference/web-api/licensing/llms.txt
- **LLMs-Full URL:** https://docs.textcontrol.com/ds-server/reference/web-api/licensing/llms-full.txt

---

The Licensing endpoints provide functionality to register DS Server programmatically.

| Method | Endpoint | Description |
|---|---|---|
| [`GET`](https://docs.textcontrol.com/ds-server/reference/web-api/licensing/registeronline/get/llms-full.txt) | [/license/registeronline](https://docs.textcontrol.com/ds-server/reference/web-api/licensing/registeronline/get/llms-full.txt) | Registers DS Server online with the Text Control store based on a given serial number. |
| [`GET`](https://docs.textcontrol.com/ds-server/reference/web-api/licensing/renewonline/get/llms-full.txt) | [/license/renewonline](https://docs.textcontrol.com/ds-server/reference/web-api/licensing/renewonline/get/llms-full.txt) | Renews DS Server online with the Text Control store based on a given serial number. |
| [`GET`](https://docs.textcontrol.com/ds-server/reference/web-api/licensing/unregisteronline/get/llms-full.txt) | [/license/unregisteronline](https://docs.textcontrol.com/ds-server/reference/web-api/licensing/unregisteronline/get/llms-full.txt) | Unregisters DS Server online with the Text Control store based on a given serial number. |
| [`POST`](https://docs.textcontrol.com/ds-server/reference/web-api/licensing/register/post/llms-full.txt) | [/license/register](https://docs.textcontrol.com/ds-server/reference/web-api/licensing/register/post/llms-full.txt) | Registers DS Server locally based on a given license string (not serial number). |
| [`GET`](https://docs.textcontrol.com/ds-server/reference/web-api/licensing/unregister/get/llms-full.txt) | [/license/unregister](https://docs.textcontrol.com/ds-server/reference/web-api/licensing/unregister/get/llms-full.txt) | Unregisters DS Server. |
| [`GET`](https://docs.textcontrol.com/ds-server/reference/web-api/licensing/validateserialstring/get/llms-full.txt) | [/license/validateserialstring](https://docs.textcontrol.com/ds-server/reference/web-api/licensing/validateserialstring/get/llms-full.txt) | Validates the format of a serial string. |
| [`GET`](https://docs.textcontrol.com/ds-server/reference/web-api/licensing/requeststring/get/llms-full.txt) | [/license/requeststring](https://docs.textcontrol.com/ds-server/reference/web-api/licensing/requeststring/get/llms-full.txt) | Generates a license request string that is used to request a license from the Text Control store. |

---

## In This Section

- [/license/register](https://docs.textcontrol.com/ds-server/reference/web-api/licensing/register/llms-full.txt): The /license/register endpoint of the DS Server Web API and its POST method, which registers DS Server locally with a license string, not a serial number.
- [/license/registeronline](https://docs.textcontrol.com/ds-server/reference/web-api/licensing/registeronline/llms-full.txt): The /license/registeronline endpoint of the DS Server Web API and its GET method, which registers DS Server with the Text Control store by serial number.
- [/license/renewonline](https://docs.textcontrol.com/ds-server/reference/web-api/licensing/renewonline/llms-full.txt): The /license/renewonline endpoint of the DS Server Web API and its GET method, which renews the DS Server license online with the Text Control store.
- [/license/requeststring](https://docs.textcontrol.com/ds-server/reference/web-api/licensing/requeststring/llms-full.txt): The /license/requeststring endpoint of the DS Server Web API and its GET method, which creates the request string for a license from the Text Control store.
- [/license/unregister](https://docs.textcontrol.com/ds-server/reference/web-api/licensing/unregister/llms-full.txt): The /license/unregister endpoint of the DS Server Web API and its GET method, which unregisters DS Server without a serial number or other parameters.
- [/license/unregisteronline](https://docs.textcontrol.com/ds-server/reference/web-api/licensing/unregisteronline/llms-full.txt): The /license/unregisteronline endpoint of the DS Server Web API and its GET method, which unregisters DS Server online with the Text Control store.
- [/license/validateserialstring](https://docs.textcontrol.com/ds-server/reference/web-api/licensing/validateserialstring/llms-full.txt): The /license/validateserialstring endpoint of the DS Server Web API and its GET method, which checks the format of a DS Server serial number.

---

## Nearby

- **Previous:** [PATCH /admin/authenticationservers/{id}/serverurl](https://docs.textcontrol.com/ds-server/reference/web-api/administration/authenticationservers-id-serverurl/patch/llms-full.txt)
- **Next:** [/license/registeronline](https://docs.textcontrol.com/ds-server/reference/web-api/licensing/registeronline/llms-full.txt)
